diff -urN binutils-2.19.1.orig/bfd/configure binutils-2.19.1/bfd/configure
--- binutils-2.19.1.orig/bfd/configure	2009-02-02 11:44:37.000000000 +0100
+++ binutils-2.19.1/bfd/configure	2009-02-06 15:53:48.570454200 +0100
@@ -19503,6 +19503,12 @@
     WIN32LIBADD="-L`pwd`/../libiberty -liberty -L`pwd`/../intl -lintl -lcygwin -lkernel32"
   fi
   ;;
+*-*-irix5*)
+  # We borrow WIN32LIBADD so that the shared libbfd won't have undefined libiberty symbols.
+  WIN32LIBADD="-L`pwd`/../libiberty -liberty"
+  # Also add 'version-info' so libtool doesn't chew up our DSO version info.
+  WIN32LDFLAGS="-version-info 0"
+  ;;
 *-*-linux*)
   # We borrow WIN32LIBADD so that the shared libbfd won't depend on
   # libiberty.a.
diff -urN binutils-2.19.1.orig/bfd/configure.in binutils-2.19.1/bfd/configure.in
--- binutils-2.19.1.orig/bfd/configure.in	2009-02-02 11:44:34.000000000 +0100
+++ binutils-2.19.1/bfd/configure.in	2009-02-06 15:49:48.358817400 +0100
@@ -494,6 +494,12 @@
     WIN32LIBADD="-L`pwd`/../libiberty -liberty -L`pwd`/../intl -lintl -lcygwin -lkernel32"
   fi
   ;;
+*-*-irix5*)
+  # We borrow WIN32LIBADD so that the shared libbfd won't have undefined libiberty symbols.
+  WIN32LIBADD="-L`pwd`/../libiberty -liberty"
+  # Also add 'version-info' so libtool doesn't chew up our DSO version info.
+  WIN32LDFLAGS="-version-info 0"
+  ;;
 *-*-linux*)
   # We borrow WIN32LIBADD so that the shared libbfd won't depend on
   # libiberty.a.
diff -urN binutils-2.19.1.orig/opcodes/configure binutils-2.19.1/opcodes/configure
--- binutils-2.19.1.orig/opcodes/configure	2008-08-15 10:31:51.000000000 +0200
+++ binutils-2.19.1/opcodes/configure	2009-02-06 16:01:35.323382000 +0100
@@ -11748,6 +11748,10 @@
       SHARED_LDFLAGS="-no-undefined"
       SHARED_LIBADD="-L`pwd`/../bfd -lbfd -L`pwd`/../libiberty -liberty -L`pwd`/../intl -lintl -lcygwin"
       ;;
+    *-*-irix5*)
+      SHARED_LDFLAGS="-version-info 0"
+      SHARED_LIBADD="-L`pwd`/../libiberty -liberty"
+      ;;
    *-*-darwin*)
      SHARED_LIBADD="-Wl,`pwd`/../bfd/.libs/libbfd.dylib"
      SHARED_DEPENDENCIES="../bfd/libbfd.la"
diff -urN binutils-2.19.1.orig/opcodes/configure.in binutils-2.19.1/opcodes/configure.in
--- binutils-2.19.1.orig/opcodes/configure.in	2008-08-24 05:13:05.000000000 +0200
+++ binutils-2.19.1/opcodes/configure.in	2009-02-06 16:00:59.956997200 +0100
@@ -108,6 +108,10 @@
       SHARED_LDFLAGS="-no-undefined"
       SHARED_LIBADD="-L`pwd`/../bfd -lbfd -L`pwd`/../libiberty -liberty -L`pwd`/../intl -lintl -lcygwin"
       ;;
+    *-*-irix5*)
+      SHARED_LDFLAGS="-version-info 0"
+      SHARED_LIBADD="-L`pwd`/../libiberty -liberty"
+      ;;
    *-*-darwin*)
      SHARED_LIBADD="-Wl,`pwd`/../bfd/.libs/libbfd.dylib"
      SHARED_DEPENDENCIES="../bfd/libbfd.la"
